[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.InsertRow

Inserts a row at the specified position.

## Declaration

Source position: valedit.pas line 188

`public function TValueListEditor.InsertRow(`
`const KeyName: string;`
`const Value: string;`
`Append: Boolean`
`):Integer;`

## Arguments

`KeyName` |  | Key name to use in the new row.
`Value` |  | Value to use in the new row.
`Append` |  | True if a row is inserted after the current row.

## Function result

Relative row number for the inserted row.

## Description

InsertRow is an Integer function used to insert a row with the specified KeyName and Value at the current Row in the control.

Append indicates if the inserted row is added after the current Row in the control. When Append is False, the values in KeyName and Value are inserted at the current row. Row is updated to reflect the row number for the inserted values.

The return value contains the row number relative to the fixed title captions where the KeyName and Value were inserted.

Use InsertRowWithValues to insert a new row with the key and value passed in an array argument.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TValueListEditor.InsertRowWithValues |  | Inserts a row with the specified values at the specified position.
TValueListStrings.InsertItem |  | Inserts an item with the specified value at the position in Index.
TCustomDrawGrid.FixedRows |  | Number of the fixed rows in the grid.
TCustomDrawGrid.Row |  | Row number for the selected grid cell.
TCustomStringGrid.Cells |  | Provides indexed access to a cell value by its column and row number.